# Creating a Configuration

## Create Configuration Store (External)

> Creates a new configuration store via external API key authentication

```json
{"openapi":"3.0.1","info":{"title":"Laminar API","version":"v1"},"tags":[{"name":"Configuration Stores","description":"Laminar Configuration Store endpoints, for managing configuration stores and properties within workspaces."}],"servers":[{"url":"https://api.laminar.run","description":"Laminar API"}],"security":[{"api-key-query":[]},{"api-key":[]}],"components":{"securitySchemes":{"api-key-query":{"type":"apiKey","description":"API key authentication via query parameter","name":"api_key","in":"query"},"api-key":{"type":"apiKey","description":"API key authentication via header","name":"X-API-KEY","in":"header"}},"schemas":{"CreateConfigurationStoreRequest":{"required":["externalId","name","properties","workspaceId"],"type":"object","properties":{"workspaceId":{"type":"integer","format":"int64"},"name":{"type":"string"},"externalId":{"type":"string"},"properties":{"type":"array","items":{"$ref":"#/components/schemas/PropertyDTO"}}}},"PropertyDTO":{"required":["key","value"],"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}},"ConfigurationStore":{"required":["properties"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"workspaceId":{"type":"integer","format":"int64"},"name":{"type":"string"},"externalId":{"type":"string"},"archivedAt":{"type":"string","format":"date-time"},"properties":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Property"}}}},"Property":{"required":["key","value"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"key":{"type":"string"},"value":{"type":"string"}}}}},"paths":{"/configurations/external":{"post":{"tags":["external","Configuration Stores"],"summary":"Create Configuration Store (External)","description":"Creates a new configuration store via external API key authentication","operationId":"createConfigurationStoreExternal","parameters":[{"name":"X-API-KEY","in":"header","required":false,"schema":{"type":"string"}},{"name":"api_key","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateConfigurationStoreRequest"}}},"required":true},"responses":{"201":{"description":"Configuration store created successfully","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConfigurationStore"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.laminar.run/running-an-integration/creating-a-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
